Package: org.grails.encoder.impl

## [Groovy] Class URLCodecFactory

- org.grails.encoder.impl.URLCodecFactory

- All Implemented Interfaces and Traits:
    CodecFactory

      @groovy.transform.CompileStatic
      class URLCodecFactory
      extends java.lang.Object

  Implements the 'www-form-urlencoded' encoding scheme, also misleadingly known as URL encoding.

  See Also:
    Chapter 17.13.4 Form content types of the HTML 4.01 Specification
  Since:
    2.4

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static CodecIdentifier` | `URL_CODEC_IDENTIFIER`
    `Decoder` | `decoder`
    `Encoder` | `encoder`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.lang.String` | `resolveEncoding()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### static final CodecIdentifier URL_CODEC_IDENTIFIER

    - #### Decoder decoder

    - #### Encoder encoder

  - ### Method Detail

    - #### protected java.lang.String resolveEncoding()